Open Infrastructure - Task #6982

Ensure that setting up a new ceph cluster is less than 5 minutes of work

07/18/2019 11:23 AM - Nico Schottelius

Status: Closed Start date:
Priority: High Due date:
Assignee: Il nu % Done:
Category: Estimated time:

Target version:
PM Check date:

07/18/2019

0%
0.00 hour

Description

¢ Have a cdist type/types ready
¢ Have it publicly documented

¢ Require the minimum amount of parameters

¢ Maybe base it on the existing internal ceph types

e Maybe push it upstream into cdist (-> coordinate with Darko)

Rough sketch

¢ get fsid via uuidgen

fsid=6bled41al-6346-407a-8d40-b640bf2e4dbba
ceph_mons="ceph-monl ceph-mon2 ceph-mon3"

case $__target_host in
__ceph-mon¥*)
__ceph —--fsid $fsid --mons "S$ceph_mons"

esacC

cdist config ceph-mon*
OSDs manually created

Rough sketch, but whole process should really take < 5m, including creating VMs

History

#1 - 07/22/2019 10:57 AM - Il nu

- Status changed from New to In Progress

#2 - 08/26/2019 01:12 PM - Il nu
- Priority changed from Normal to High

#3 - 12/09/2019 11:54 AM - Il nu

- Status changed from In Progress to Closed
